/* Copyright (c) 2000-2002, Jacco Bikker
 * Copyright (c) 2002-2003, Gary Dubuque
 *
 * This file is part of NP+AIML.
 * NP+AIML is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by the 
 * Free Software Foundation; either version 2, or (at your option) any later 
 * version.
 *
 * NP+AIML is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
 * for more details.

 * You should have received a copy of the GNU General Public License along 
 * with NP+AIML; see the file COPYING. If not, write to the 
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 * MA 02111-1307, USA.
 */

#if !defined(AFX_FACTDLG_H__71D13081_C864_4FB1_BEB9_4FB716330401__INCLUDED_)
#define AFX_FACTDLG_H__71D13081_C864_4FB1_BEB9_4FB716330401__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "facts.h"

// FactDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CFactDlg dialog

class CFactDlg : public CDialog
{
// Construction
public:
	CFactDlg(CWnd* pParent = NULL);   // standard constructor

	Subjects *kb;

// Dialog Data
	//{{AFX_DATA(CFactDlg)
	enum { IDD = IDD_FACT };
	CListBox	m_mvlist;
	double	m_cf;
	CString	m_source;
	CString	m_tag;
	CString	m_value;
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA
	int m_mvId;


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFactDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	//}}AFX_VIRTUAL

// Implementation
protected:
	void SaveValue();
	void FillList();

	// Generated message map functions
	//{{AFX_MSG(CFactDlg)
	afx_msg void OnDblclkMvlist();
	afx_msg void OnSelchangeMvlist();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FACTDLG_H__71D13081_C864_4FB1_BEB9_4FB716330401__INCLUDED_)
