/* Copyright (c) 2000-2002, Jacco Bikker
 * Copyright (c) 2002-2003, Gary Dubuque
 *
 * This file is part of NP+AIML.
 * NP+AIML is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by the 
 * Free Software Foundation; either version 2, or (at your option) any later 
 * version.
 *
 * NP+AIML is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
 * for more details.

 * You should have received a copy of the GNU General Public License along 
 * with NP+AIML; see the file COPYING. If not, write to the 
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 * MA 02111-1307, USA.
 */

#if !defined(AFX_TARGETDLG_H__32228F5E_9DD0_4224_9F8B_EDC54833604A__INCLUDED_)
#define AFX_TARGETDLG_H__32228F5E_9DD0_4224_9F8B_EDC54833604A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class Core;

class PUvm;


// TargetDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CTargetDlg dialog

class CTargetDlg : public CDialog
{
// Construction
public:
	CTargetDlg(CWnd* pParent = NULL);   // standard constructor

	int intAtTarget;
	int intCntTargets;

	Core *bot;
	PUvm *pu;

	CString Template;
	CString Reply;

	CString m_Pattern;
	CString m_That;
	CString m_Topic;

	CString m_fname;

// Dialog Data
	//{{AFX_DATA(CTargetDlg)
	enum { IDD = IDD_TARGET };
	int		m_scrollbar;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTargetDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();
	//}}AFX_VIRTUAL

// Implementation
protected:
	void FillForm();
	void formatTemplate(char *s);
	void SaveAs(bool replace);

	// Generated message map functions
	//{{AFX_MSG(CTargetDlg)
	afx_msg void OnBtnclear();
	afx_msg void OnBtndiscard();
	afx_msg void OnBtndrop();
	afx_msg void OnBtnnext();
	afx_msg void OnBtnrandom();
	afx_msg void OnBtnreduce();
	afx_msg void OnBtnsave();
	afx_msg void OnBtnsr();
	afx_msg void OnBtnsrai();
	afx_msg void OnBtnthink();
	afx_msg void OnRadreply();
	afx_msg void OnRadtemp();
	afx_msg void OnBTNAdd();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnBtnsaveas();
	afx_msg void OnBtnreplace();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TARGETDLG_H__32228F5E_9DD0_4224_9F8B_EDC54833604A__INCLUDED_)
