/* Copyright (c) 2002-2003, Gary Dubuque
 *
 * This file is part of NP+AIML.
 * NP+AIML is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by the 
 * Free Software Foundation; either version 2, or (at your option) any later 
 * version.
 *
 * NP+AIML is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
 * for more details.

 * You should have received a copy of the GNU General Public License along 
 * with NP+AIML; see the file COPYING. If not, write to the 
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 * MA 02111-1307, USA.
 */

// WhyDlg.cpp : implementation file
//

#include "stdafx.h"
#include "AIMLpad.h"
#include "WhyDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CWhyDlg dialog


CWhyDlg::CWhyDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CWhyDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CWhyDlg)
	m_reason = _T("");
	//}}AFX_DATA_INIT
}


void CWhyDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CWhyDlg)
	DDX_Text(pDX, IDC_REASON, m_reason);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CWhyDlg, CDialog)
	//{{AFX_MSG_MAP(CWhyDlg)
	ON_WM_SHOWWINDOW()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CWhyDlg message handlers

void CWhyDlg::OnShowWindow(BOOL bShow, UINT nStatus) 
{
	CDialog::OnShowWindow(bShow, nStatus);
	
	CEdit* pWnd = (CEdit*) GetDlgItem(IDC_REASON);
	pWnd->SetSel(0,0);
}
