/* Copyright (c) 2000-2002, Jacco Bikker
 * Copyright (c) 2002-2003, Gary Dubuque
 *
 * This file is part of NP+AIML.
 * NP+AIML is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by the 
 * Free Software Foundation; either version 2, or (at your option) any later 
 * version.
 *
 * NP+AIML is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
 * for more details.

 * You should have received a copy of the GNU General Public License along 
 * with NP+AIML; see the file COPYING. If not, write to the 
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 * MA 02111-1307, USA.
 */

#if !defined(AFX_FACTSDLG_H__A32667B2_51C0_453C_B5D0_96E5BC2C8BFE__INCLUDED_)
#define AFX_FACTSDLG_H__A32667B2_51C0_453C_B5D0_96E5BC2C8BFE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class Subjects;

// FactsDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CFactsDlg dialog

class CFactsDlg : public CDialog
{
// Construction
public:
	CFactsDlg(CWnd* pParent = NULL);   // standard constructor

	Subjects *kb;

// Dialog Data
	//{{AFX_DATA(CFactsDlg)
	enum { IDD = IDD_FACTS };
	CListBox m_facts;
	CString	m_case;
	CString	m_fact;
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFactsDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();
	//}}AFX_VIRTUAL

// Implementation
protected:
	void FillList();

	// Generated message map functions
	//{{AFX_MSG(CFactsDlg)
	afx_msg void OnAssign();
	afx_msg void OnRemove();
	afx_msg void OnSelchangeFactlist();
	afx_msg void OnDblclkFactlist();
	afx_msg void OnDeclare();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FACTSDLG_H__A32667B2_51C0_453C_B5D0_96E5BC2C8BFE__INCLUDED_)
